@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@200&display=swap');

html {
  scroll-snap-type: mandatory;
  scroll-snap-points-y: repeat(100vh);
  scroll-snap-type: y mandatory;
}

body {
  font-family: 'Josefin Sans', sans-serif;
  margin: 0;
}

section {
  scroll-snap-align: start;
}

.navigation-menu {
  margin: 0 0 0 20%;
  position: absolute;
  top: 52.5%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}
  
a, a:hover {
  color: inherit;
  text-decoration: none;
}

ul {
  list-style-type: none;
  padding: 0;
}

.nav-item, .grid-nav-text {
  line-height: 1.5;
  margin: 24px 0;
  font-size: 1.25rem;
  text-transform: uppercase;
}

.nav-item:hover, .grid-nav-text:hover {
  color: #f0a31f;
}

.title {
  margin-top: 100px;
}

.info-title {
  text-transform: uppercase;
}

.info {
  margin-bottom: 100px;
}

.nav-menu-footer {
  height: 100vh;
  position: relative;
}

.footer {
  margin-top: -10vh;
  text-align: center;
}


/* grid setup for artwork */

.grid-container {
  display: grid;
  justify-items: start;
}

.grid-item-1 {
  grid-column: 2/ span 2;
  grid-row: 4;
}

.grid-item-2 {
  grid-column: 1;
  grid-row: 1 / span 4;
}

.grid-container-special {
  height: 100vh;
  display: grid;
  justify-items: start;
  align-items: center;
}

/* flex set up for navigation menu */

.nav-menu {
  display: flex;
  flex-direction: column;
}

.grid-nav-menu {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height: 80vh;
}

.grid-nav-item {
  border: 10px solid #fff;
}

.grid-nav-text {
  line-height: 0.5;
  font-size: 0.9rem;
  text-transform: uppercase;
  width: 200px;
  text-align: center;
}

.nav-menu-list {
  height: 80vh;
  align-items: center;
  justify-content: center;
}


/* about page */

#about {
  height: 100vh;
}

.container {
  height: 100vh;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.about-text {
  font-size: 1.1rem;
  line-height: 1.15;
}

.about-paragraph-first {
  margin-top: 0;
}

.about-paragraph-last {
  margin-bottom: 0;
}

.flex-item {
  height: 450px;
  width: 450px;
  margin: 20px;
}


/* images */

#brand-logo {
  width: 300px;
  margin-bottom: 65px;
}

.artwork-img {
  height: 100vh;
}

.artwork-img-special {
  width: 70vw;
  height: auto;
}

.grid-nav-img {
  height: 200px;
  width: 200px;
}

.social-icon {
  width: 30px;
  height: 30px;
  margin-top: 50px;
}

.about-img {
  height: 450px;
  width: 450px;
}

svg:hover {
  fill: #f0a31f;
}

.center-img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: auto;
}


/* media queries */

/* phones */

@media screen and (min-width: 320px) and (max-width: 600px) {
  body{
    -webkit-text-size-adjust: none;
  }
  
  .info-title {
    font-size: 0.8rem;
  }

  .info {
    font-size: 0.7rem;
  }

  .grid-nav-menu {
    height: 60vh;
  }

  .footer {
    margin-top: 10vh;
  }

  .navigation-menu {
    display: block;
    text-align: center;
    margin: 0 auto;
  }

  .center {
    display: flex;
    justify-content: center;
  }

  /* about page */

  .container {
    flex-direction: column;
  }

  .flex-item {
    width: 300px;
    margin-bottom: 0;
  }

  .about-text {
    width: 300px;
    font-size: 0.7rem;
  }
  
  .about-img {
    height: 300px;
    width: 300px;
  }

  /* grid setup for artwork */

  .grid-item-1 {
    grid-column: 2 / span 3;
    grid-row: 5;
  }

  .grid-item-2 {
    grid-column: 1 / span 6;
  }

  .landscape-img {
    width: 100vw;
    height: auto;
  }

  .portrait-img {
    height: auto;
    width: 100vw;
  }

  .wide {
    width: 100vw;
    height: auto;
  }

  .fix-height {
    width: 85vw;
  }

  .artwork-img-special {
    width: 100vw;
  }

  .grid-container {
    height: 100vh;
    justify-items: center;
  }

  .sketch-container {
    display: flex;
    height: 100vh;
    align-items: center;
  }


  /* navigation menu */

  .grid-nav-menu {
    flex-wrap: wrap;
  }

  .grid-nav-img {
    height: 100px;
    width: 100px;
  }

  .grid-nav-text {
    font-size: 0.3rem;
    width: 100px;
  }

}

@media screen and (min-width: 600px) and (max-width: 1024px) and (orientation: portrait) {
  /* tablets */

  /* grid setup for artwork */

  .grid-item-1 {
    grid-column: 2 / span 3;
    grid-row: 5;
  }

  .grid-item-2 {
    grid-column: 1 / span 6;
  }

  .landscape-img {
    width: 100vw;
    height: auto;
  }

  .portrait-img {
    height: 80vh;
    width: auto;
  }

  .artwork-img-special {
    width: 100vw;
  }

  .grid-container {
    height: 100vh;
    justify-items: center;
  }

  .sketch-container {
    display: flex;
    height: 100vh;
    align-items: center;
  }


  /* navigation menu */

  .grid-nav-menu {
    flex-wrap: wrap;
  }

  .grid-nav-img {
    height: 100px;
    width: 100px;
  }

  .grid-nav-text {
    font-size: 0.4rem;
    width: 100px;
  }


  /* about page */

  .about-img {
    height: 300px;
    width: 300px;
  }

  .flex-item {
    height: auto;
    width: auto;
  }

}
